Create Appointment
This script allows you to make a request to create a new appointment, and receive the short form “chat code” to send in a SMS message. Also can be used for existing appointments to find the chat code.
Endpoint
Section titled “Endpoint”https://api.example.com/create-appointment/Request Format
Section titled “Request Format”POSTContent-Type
Section titled “Content-Type”application/jsonRequest Body
Section titled “Request Body”| Paramater | Required | Type | Description |
|---|---|---|---|
| dealer_uuid | True | String | The unique Dealer ID |
| appt_uuid | True | String | Unique appointment ID |
| customer_name | True | String | Customer full name |
| year | True | Integer | Year of vehicle |
| make | True | String | Make of Vehicle |
| model | True | String | Model of Vehicle |
| concern | True | String | The reason for the visit, vehicle issue |
| vehicle_id | True | String | Vehicle Identification Number |
| appt_date | True | String | Date for appointment |
| appt_time | True | String | Time for appointment, 24h format |
Making an Authorized Request
Section titled “Making an Authorized Request”curl -X POST https://api.example.com/create-appointment/ \ -H "Content-Type: application/json" \ -H "X-API-KEY: {API_KEY}" \ -d '{ "appt_uuid": "CONVO-ABC-11111111", "dealer_uuid": "1234", "customer_name": "Jane Doe", "year":2019, "make":"Toyota", "model":"Camry", "concern":"Engine is knocking", "vehicle_id":"18DF79DF79D8FD9DF", "appt_date": "2024-07-02", "appt_time": "08:30" }'Response
Section titled “Response”If the appointment already exist, return true with existing chat_code
{ 'status' => 'success', 'appointment' => true, // boolean 'chat_code' => '123abc'}If appointment doesn’t exist, we create it and return false along with the new chat code
{ 'status' => 'success', 'appointment' => false, // boolean 'chat_code' => '123abc'}Chat Code URL Example
Section titled “Chat Code URL Example”https://chat.example.com/123abc